| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
os_cfg_app.c File Reference
`#include <os_cfg_app.h>`
`#include <os.h>`

Go to the source code of this file.

## Macros
#define | MICRIUM_SOURCE
#define | OS_CFG_IDLE_TASK_STK_LIMIT ((OS_CFG_IDLE_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)
#define | OS_CFG_INT_Q_TASK_STK_LIMIT ((OS_CFG_INT_Q_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)
#define | OS_CFG_STAT_TASK_STK_LIMIT ((OS_CFG_STAT_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)
#define | OS_CFG_TICK_TASK_STK_LIMIT ((OS_CFG_TICK_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)
#define | OS_CFG_TMR_TASK_STK_LIMIT ((OS_CFG_TMR_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)

## Functions
void | OSCfg_Init (void)

## Variables
CPU_STK | OSCfg_IdleTaskStk [OS_CFG_IDLE_TASK_STK_SIZE]
CPU_STK | OSCfg_TickTaskStk [OS_CFG_TICK_TASK_STK_SIZE]
OS_TICK_SPOKE | OSCfg_TickWheel [OS_CFG_TICK_WHEEL_SIZE]
CPU_STK *const | OSCfg_IdleTaskStkBasePtr = (CPU_STK *)&OSCfg_IdleTaskStk[0]
CPU_STK_SIZE const | OSCfg_IdleTaskStkLimit = (CPU_STK_SIZE)OS_CFG_IDLE_TASK_STK_LIMIT
CPU_STK_SIZE const | OSCfg_IdleTaskStkSize = (CPU_STK_SIZE)OS_CFG_IDLE_TASK_STK_SIZE
CPU_INT32U const | OSCfg_IdleTaskStkSizeRAM = (CPU_INT32U )sizeof(OSCfg_IdleTaskStk)
OS_INT_Q *const | OSCfg_IntQBasePtr = (OS_INT_Q *)0
OS_OBJ_QTY const | OSCfg_IntQSize = (OS_OBJ_QTY )0
CPU_INT32U const | OSCfg_IntQSizeRAM = (CPU_INT32U )0
CPU_STK *const | OSCfg_IntQTaskStkBasePtr = (CPU_STK *)0
CPU_STK_SIZE const | OSCfg_IntQTaskStkLimit = (CPU_STK_SIZE)0
CPU_STK_SIZE const | OSCfg_IntQTaskStkSize = (CPU_STK_SIZE)0
CPU_INT32U const | OSCfg_IntQTaskStkSizeRAM = (CPU_INT32U )0
CPU_STK *const | OSCfg_ISRStkBasePtr = (CPU_STK *)0
CPU_STK_SIZE const | OSCfg_ISRStkSize = (CPU_STK_SIZE)0
CPU_INT32U const | OSCfg_ISRStkSizeRAM = (CPU_INT32U )0
OS_MSG_SIZE const | OSCfg_MsgPoolSize = (OS_MSG_SIZE)0
CPU_INT32U const | OSCfg_MsgPoolSizeRAM = (CPU_INT32U )0
OS_MSG *const | OSCfg_MsgPoolBasePtr = (OS_MSG *)0
OS_PRIO const | OSCfg_StatTaskPrio = (OS_PRIO )0
OS_RATE_HZ const | OSCfg_StatTaskRate_Hz = (OS_RATE_HZ )0
CPU_STK *const | OSCfg_StatTaskStkBasePtr = (CPU_STK *)0
CPU_STK_SIZE const | OSCfg_StatTaskStkLimit = (CPU_STK_SIZE)0
CPU_STK_SIZE const | OSCfg_StatTaskStkSize = (CPU_STK_SIZE)0
CPU_INT32U const | OSCfg_StatTaskStkSizeRAM = (CPU_INT32U )0
CPU_STK_SIZE const | OSCfg_StkSizeMin = (CPU_STK_SIZE)OS_CFG_STK_SIZE_MIN
OS_RATE_HZ const | OSCfg_TickRate_Hz = (OS_RATE_HZ )OS_CFG_TICK_RATE_HZ
OS_PRIO const | OSCfg_TickTaskPrio = (OS_PRIO )OS_CFG_TICK_TASK_PRIO
CPU_STK *const | OSCfg_TickTaskStkBasePtr = (CPU_STK *)&OSCfg_TickTaskStk[0]
CPU_STK_SIZE const | OSCfg_TickTaskStkLimit = (CPU_STK_SIZE)OS_CFG_TICK_TASK_STK_LIMIT
CPU_STK_SIZE const | OSCfg_TickTaskStkSize = (CPU_STK_SIZE)OS_CFG_TICK_TASK_STK_SIZE
CPU_INT32U const | OSCfg_TickTaskStkSizeRAM = (CPU_INT32U )sizeof(OSCfg_TickTaskStk)
OS_OBJ_QTY const | OSCfg_TickWheelSize = (OS_OBJ_QTY )OS_CFG_TICK_WHEEL_SIZE
CPU_INT32U const | OSCfg_TickWheelSizeRAM = (CPU_INT32U )sizeof(OSCfg_TickWheel)
OS_PRIO const | OSCfg_TmrTaskPrio = (OS_PRIO )0
OS_RATE_HZ const | OSCfg_TmrTaskRate_Hz = (OS_RATE_HZ )0
CPU_STK *const | OSCfg_TmrTaskStkBasePtr = (CPU_STK *)0
CPU_STK_SIZE const | OSCfg_TmrTaskStkLimit = (CPU_STK_SIZE)0
CPU_STK_SIZE const | OSCfg_TmrTaskStkSize = (CPU_STK_SIZE)0
CPU_INT32U const | OSCfg_TmrTaskStkSizeRAM = (CPU_INT32U )0
OS_OBJ_QTY const | OSCfg_TmrWheelSize = (OS_OBJ_QTY )0
CPU_INT32U const | OSCfg_TmrWheelSizeRAM = (CPU_INT32U )0
CPU_INT32U const | OSCfg_DataSizeRAM

## Macro Definition Documentation

#define MICRIUM_SOURCE

Definition at line 35 of file os_cfg_app.c.

#define OS_CFG_IDLE_TASK_STK_LIMIT ((OS_CFG_IDLE_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)

Definition at line 43 of file os_cfg_app.c.

#define OS_CFG_INT_Q_TASK_STK_LIMIT ((OS_CFG_INT_Q_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)

Definition at line 44 of file os_cfg_app.c.

#define OS_CFG_STAT_TASK_STK_LIMIT ((OS_CFG_STAT_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)

Definition at line 45 of file os_cfg_app.c.

#define OS_CFG_TICK_TASK_STK_LIMIT ((OS_CFG_TICK_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)

Definition at line 46 of file os_cfg_app.c.

#define OS_CFG_TMR_TASK_STK_LIMIT ((OS_CFG_TMR_TASK_STK_SIZE * OS_CFG_TASK_STK_LIMIT_PCT_EMPTY) / 100u)

Definition at line 47 of file os_cfg_app.c.

## Function Documentation

void OSCfg_Init | ( | void |  | ) |

Definition at line 240 of file os_cfg_app.c.

## Variable Documentation

CPU_INT32U const OSCfg_DataSizeRAM

Initial value:
= sizeof(OSCfg_IdleTaskStk)
+ sizeof(OSCfg_TickTaskStk)
+ sizeof(OSCfg_TickWheel)

Definition at line 194 of file os_cfg_app.c.

CPU_STK OSCfg_IdleTaskStk[OS_CFG_IDLE_TASK_STK_SIZE]

Definition at line 55 of file os_cfg_app.c.

CPU_STK* const OSCfg_IdleTaskStkBasePtr = (CPU_STK *)&OSCfg_IdleTaskStk[0]

Definition at line 89 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_IdleTaskStkLimit = (CPU_STK_SIZE)OS_CFG_IDLE_TASK_STK_LIMIT

Definition at line 90 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_IdleTaskStkSize = (CPU_STK_SIZE)OS_CFG_IDLE_TASK_STK_SIZE

Definition at line 91 of file os_cfg_app.c.

CPU_INT32U const OSCfg_IdleTaskStkSizeRAM = (CPU_INT32U )sizeof(OSCfg_IdleTaskStk)

Definition at line 92 of file os_cfg_app.c.

OS_INT_Q* const OSCfg_IntQBasePtr = (OS_INT_Q *)0

Definition at line 104 of file os_cfg_app.c.

OS_OBJ_QTY const OSCfg_IntQSize = (OS_OBJ_QTY )0

Definition at line 105 of file os_cfg_app.c.

CPU_INT32U const OSCfg_IntQSizeRAM = (CPU_INT32U )0

Definition at line 106 of file os_cfg_app.c.

CPU_STK* const OSCfg_IntQTaskStkBasePtr = (CPU_STK *)0

Definition at line 107 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_IntQTaskStkLimit = (CPU_STK_SIZE)0

Definition at line 108 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_IntQTaskStkSize = (CPU_STK_SIZE)0

Definition at line 109 of file os_cfg_app.c.

CPU_INT32U const OSCfg_IntQTaskStkSizeRAM = (CPU_INT32U )0

Definition at line 110 of file os_cfg_app.c.

CPU_STK* const OSCfg_ISRStkBasePtr = (CPU_STK *)0

Definition at line 119 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_ISRStkSize = (CPU_STK_SIZE)0

Definition at line 120 of file os_cfg_app.c.

CPU_INT32U const OSCfg_ISRStkSizeRAM = (CPU_INT32U )0

Definition at line 121 of file os_cfg_app.c.

OS_MSG* const OSCfg_MsgPoolBasePtr = (OS_MSG *)0

Definition at line 132 of file os_cfg_app.c.

OS_MSG_SIZE const OSCfg_MsgPoolSize = (OS_MSG_SIZE)0

Definition at line 130 of file os_cfg_app.c.

CPU_INT32U const OSCfg_MsgPoolSizeRAM = (CPU_INT32U )0

Definition at line 131 of file os_cfg_app.c.

OS_PRIO const OSCfg_StatTaskPrio = (OS_PRIO )0

Definition at line 144 of file os_cfg_app.c.

OS_RATE_HZ const OSCfg_StatTaskRate_Hz = (OS_RATE_HZ )0

Definition at line 145 of file os_cfg_app.c.

CPU_STK* const OSCfg_StatTaskStkBasePtr = (CPU_STK *)0

Definition at line 146 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_StatTaskStkLimit = (CPU_STK_SIZE)0

Definition at line 147 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_StatTaskStkSize = (CPU_STK_SIZE)0

Definition at line 148 of file os_cfg_app.c.

CPU_INT32U const OSCfg_StatTaskStkSizeRAM = (CPU_INT32U )0

Definition at line 149 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_StkSizeMin = (CPU_STK_SIZE)OS_CFG_STK_SIZE_MIN

Definition at line 153 of file os_cfg_app.c.

OS_RATE_HZ const OSCfg_TickRate_Hz = (OS_RATE_HZ )OS_CFG_TICK_RATE_HZ

Definition at line 156 of file os_cfg_app.c.

OS_PRIO const OSCfg_TickTaskPrio = (OS_PRIO )OS_CFG_TICK_TASK_PRIO

Definition at line 157 of file os_cfg_app.c.

CPU_STK OSCfg_TickTaskStk[OS_CFG_TICK_TASK_STK_SIZE]

Definition at line 74 of file os_cfg_app.c.

CPU_STK* const OSCfg_TickTaskStkBasePtr = (CPU_STK *)&OSCfg_TickTaskStk[0]

Definition at line 158 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_TickTaskStkLimit = (CPU_STK_SIZE)OS_CFG_TICK_TASK_STK_LIMIT

Definition at line 159 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_TickTaskStkSize = (CPU_STK_SIZE)OS_CFG_TICK_TASK_STK_SIZE

Definition at line 160 of file os_cfg_app.c.

CPU_INT32U const OSCfg_TickTaskStkSizeRAM = (CPU_INT32U )sizeof(OSCfg_TickTaskStk)

Definition at line 161 of file os_cfg_app.c.

OS_TICK_SPOKE OSCfg_TickWheel[OS_CFG_TICK_WHEEL_SIZE]

Definition at line 75 of file os_cfg_app.c.

OS_OBJ_QTY const OSCfg_TickWheelSize = (OS_OBJ_QTY )OS_CFG_TICK_WHEEL_SIZE

Definition at line 162 of file os_cfg_app.c.

CPU_INT32U const OSCfg_TickWheelSizeRAM = (CPU_INT32U )sizeof(OSCfg_TickWheel)

Definition at line 163 of file os_cfg_app.c.

OS_PRIO const OSCfg_TmrTaskPrio = (OS_PRIO )0

Definition at line 176 of file os_cfg_app.c.

OS_RATE_HZ const OSCfg_TmrTaskRate_Hz = (OS_RATE_HZ )0

Definition at line 177 of file os_cfg_app.c.

CPU_STK* const OSCfg_TmrTaskStkBasePtr = (CPU_STK *)0

Definition at line 178 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_TmrTaskStkLimit = (CPU_STK_SIZE)0

Definition at line 179 of file os_cfg_app.c.

CPU_STK_SIZE const OSCfg_TmrTaskStkSize = (CPU_STK_SIZE)0

Definition at line 180 of file os_cfg_app.c.

CPU_INT32U const OSCfg_TmrTaskStkSizeRAM = (CPU_INT32U )0

Definition at line 181 of file os_cfg_app.c.

OS_OBJ_QTY const OSCfg_TmrWheelSize = (OS_OBJ_QTY )0

Definition at line 182 of file os_cfg_app.c.

CPU_INT32U const OSCfg_TmrWheelSizeRAM = (CPU_INT32U )0

Definition at line 183 of file os_cfg_app.c.